Skip to Content
Organizations

Create an invite link for a demo organization

Acces

Doar administratorii Tillor.

POST
/admin/organizations/{organizationId}/invite-links

Makes a link that lets whoever opens it and signs in join the demo organization with full permissions. The URL is returned once and never again. Refused for organizations that are not flagged as demo. Super-admins only.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string
Length1 <= length

Request Body

application/json
  1. body
validDays?||
Default30
maxUses?integer
Range1 <= value <= 50
Default10

Response Body

OK

application/json
  1. response
id*string
createdAt*string
Formatdate-time
createdBy*|null
expiresAt*string
Formatdate-time
maxUses*integer
Range-9007199254740991 <= value <= 9007199254740991
useCount*integer
Range-9007199254740991 <= value <= 9007199254740991
revokedAt*|null
url*string
Formaturi
Example Request
curl -X POST 'https://api.tillor.eu/admin/organizations//invite-links' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "string",  "createdAt": "2019-08-24T14:15:22Z",  "createdBy": {    "id": "string",    "name": "string"  },  "expiresAt": "2019-08-24T14:15:22Z",  "maxUses": -9007199254740991,  "useCount": -9007199254740991,  "revokedAt": "2019-08-24T14:15:22Z",  "url": "http://example.com"}